#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - go1_20 installation
#
# Creation   :  2023-03-28 holbru
# Last update:  $Id: install.sh 98763 2023-03-28 13:31:06Z hbfl $
#
# Copyright (c) 2023-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=go1_20

# ---------------------------------------------------------------------------
# activate
# ---------------------------------------------------------------------------
/usr/sbin/update-alternatives \
  --install /usr/bin/go go /usr/lib/go/1.20/bin/go 42 \
  --slave /usr/bin/gofmt gofmt /usr/lib/go/1.20/bin/gofmt \
  --slave /etc/gdbinit.d/go.gdb go.gdb /usr/lib/go/1.20/bin/gdbinit.d/go.gdb

echo "go manual /usr/lib/go/1.20/bin/go" | /usr/sbin/update-alternatives --set-selections  >/dev/null 2>&1

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
